import type { Listing } from "$lib/Listing";
import { hasProperty } from "$lib/validation";

export type ServerResponse =
	| { item: Listing<unknown> }
	| { items: Listing<unknown>[] }
	| { access_token: string }
	| { error: string };

export function isServerResponse(target: unknown): target is ServerResponse {
	const props = Object.getOwnPropertyNames(target);

	if (props.length !== 1) return false;

	if (hasProperty(target, "item", "object")) return true;
	if (hasProperty(target, "items", "object[]")) return true;
	if (hasProperty(target, "error", "string")) return true;
	if (hasProperty(target, "access_token", "string")) return true;
	return false;
}
