import type { Id } from "../Id";
import type { GameData } from "../GameData";
import type { State } from "../State";

export class Game implements GameData {
	players: { id: Id; username: string }[];
	isStarted: boolean;
	state: State;

	constructor() {
		this.players = [];
		this.isStarted = false;
		this.state = {};
	}

	static from(data: GameData) {
		const game = new Game();
		game.players = data.players;
		game.isStarted = data.isStarted;
		game.state = data.state;

		return game;
	}

	addPlayer(id: Id, username: string) {
		this.players.push({ id, username });
	}

	start() {
		if (this.isStarted) throw new Error("game is already started");

		this.isStarted = true;
	}
}
