import * as jwt from "jsonwebtoken";
import { hasProperty } from "../validation";

export type ServerJwtPayload = jwt.JwtPayload & {
	username: string;
	role: string;
	sub: string;
};

export function isServerJwtPayload(target: unknown): target is ServerJwtPayload {
	if (!hasProperty(target, "username", "string")) return false;
	if (!hasProperty(target, "role", "string")) return false;
	if (!hasProperty(target, "sub", "string")) return false;
	return true;
}
