import type { Listing } from "$lib/Listing";
import { createId } from "$lib/Id";

export function createNewListing<T>(data: T): Listing<T> {
	return {
		id: createId(),
		createdAt: new Date().toISOString(),
		modifiedAt: null,
		deleted: false,
		data
	};
}

export function updateListing<T>(listing: Listing<T>, data: T): Listing<T> {
	return {
		...listing,
		modifiedAt: new Date().toISOString(),
		data
	};
}
