export function listResponse(items: unknown[]) {
	return Response.json({ items });
}

export function singleResponse(item: unknown) {
	return Response.json({ item });
}

export function createdResponse(id: string) {
	return Response.json({ item: id }, { status: 201 });
}

export function tokenResponse(token: string) {
	return Response.json({ access_token: token });
}

export function badRequestResponse(error: string = "Bad Request") {
	return Response.json({ error }, { status: 400 });
}

export function notFoundResponse() {
	return Response.json({ error: "Not Found" }, { status: 404 });
}

export function serverErrorResponse() {
	return Response.json({ error: "Unexpected Server Error" }, { status: 500 });
}

export function unauthorizedResponse() {
	return Response.json({ error: "Unauthorized" }, { status: 401 });
}

export function forbiddenResponse() {
	return Response.json({ error: "Forbidden" }, { status: 403 });
}
