import type { RequestHandler } from "@sveltejs/kit";
import { listResponse, singleResponse } from "$lib/server/responseBodies";
import { createNewListing } from "$lib/server/modifyListing";
import { Game } from "$lib/server/Game";
import { listCollection, ServerCollections, writeNewListing } from "$lib/server/mongo";
import { isListing } from "$lib/Listing";
import type { GameData } from "$lib/GameData";
import { getUser } from "$lib/server/requestTools";

export const GET: RequestHandler = async (): Promise<Response> => {
	const games = await listCollection(ServerCollections.Games, isListing<GameData>);
	return listResponse(games);
};

export const POST: RequestHandler = async ({ locals }): Promise<Response> => {
	const user = getUser(locals);
	const { username, sub } = user.payload;
	const game = new Game();

	game.addPlayer(sub, username);

	const newListing = createNewListing(game);

	await writeNewListing(ServerCollections.Games, newListing);

	return singleResponse(newListing.id);
};
