import type { GameData } from "$lib/GameData";
import { isListing } from "$lib/Listing";
import { readListingById, ServerCollections } from "$lib/server/mongo";
import { getParam, ResourceId } from "$lib/server/requestTools";
import {
	badRequestResponse,
	notFoundResponse,
	singleResponse,
} from "$lib/server/responseBodies";
import type { RequestHandler } from "@sveltejs/kit";

export const GET: RequestHandler = async ({ params }): Promise<Response> => {
	const id = getParam(params, ResourceId.Game);

	if (!id) {
		return badRequestResponse("missing gameid parameter");
	}

	const game = await readListingById(ServerCollections.Games, id, isListing<GameData>);

	if (!game) {
		return notFoundResponse();
	}

	return singleResponse(game);
};
