import type { LocalCredentials } from "$lib/server/auth";
import { singleResponse } from "$lib/server/responseBodies";
import { error, type RequestHandler } from "@sveltejs/kit";

export const GET: RequestHandler = async ({ locals }): Promise<Response> => {
	const user: LocalCredentials = locals.user;
	if (user.kind !== "Bearer") {
		error(401, "user not logged in");
	}

	return singleResponse({
		id: user.payload.sub,
		username: user.payload.username,
		role: user.role,
	});
};
