import { coverageConfigDefaults, defineConfig } from "vitest/config";
import { sveltekit } from "@sveltejs/kit/vite";
import { readFileSync } from "fs";

export default defineConfig({
	plugins: [sveltekit()],

	server: {
		https: {
			key: readFileSync(`${__dirname}/cert/key.pem`),
			cert: readFileSync(`${__dirname}/cert/cert.pem`),
		},
		proxy: {},
	},

	test: {
		include: ["src/**/*.{test,spec}.{js,ts}"],
		coverage: {
			exclude: [...coverageConfigDefaults.exclude, "svelte.config.js"],
		},
		environment: "jsdom",
	},
});
